program s2clnktst;

%include clunk.typ;

var
  value1,value2	: clunk_type;
  sign,day,hour,min,sec : integer;
  ids : integer;

%include s2clnk.ext;

begin
  write('Enter value 1[1..4]:');
  readln(value1[1],value1[2],value1[3],value1[4]);
  write('Enter value 2[1..4]:');
  readln(value2[1],value2[2],value2[3],value2[4]);
  
  s2clnk(value1,value2,sign,day,hour,min,sec,ids);

  writeln('ids:',ids);
  writeln('value 1:',value1[1],value1[2],value1[3],value1[4]);
  writeln('value 2:',value2[1],value2[2],value2[3],value2[4]);
  writeln('sign   :',sign);
  writeln('day    :',day);
  writeln('hour   :',hour);
  writeln('minute :',min);
  writeln('second :',sec);

end.
